/*
 * Minidxr2 - Linux DVD player. Mostly (C) Jack Whitham, 2001
 *
 */
#include <stdio.h>
#include <pthread.h>
#include <string.h>
#include <ctype.h>
#include <sys/ioctl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#ifndef FIBMAP
#define FIBMAP 1
#endif

#include "player.h"
#include "control.h"
#include "buffer.h"
#include "read_config.h"

//int main ( int argc , char ** argv )
//{
//	player_info_t		* player_info;
//	char				* err ;
//	int					lba ;
//	char				* path ;
//	char				format_test [ 256 ] ;
//	int					i , same ;
//	int					fd ;
//
//
//	player_info = malloc ( sizeof ( player_info_t ) ) ;
//
//	if ( player_info == NULL )
//	{
//		fprintf ( stderr , SUBPROG_ERROR_CODE ) ;
//		fprintf ( stderr , "malloc error\n" ) ;
//		return 1 ;
//	}
//
//	err = read_config ( player_info , dxr2_config_file ) ;
//	if ( err != NULL )
//	{
//		err = read_config ( player_info , alt_config_file ) ;
//	}
//
//	if (( err != NULL )
//	|| ( strlen ( player_info -> dvd_mountpoint ) < 1 ))
//	{
//		fprintf ( stderr , SUBPROG_ERROR_CODE ) ;
//		fprintf ( stderr , "%s\n" , err ) ;
//		return 1 ;
//	}
//
//	if (( argc != 2 )
//	|| ( argv [ 1 ] == NULL ))
//	{
//		fprintf ( stderr , SUBPROG_ERROR_CODE ) ;
//		fprintf ( stderr , "unexpected number of args\n" ) ;
//		return 1 ;
//	}
//
//	path = argv [ 1 ] ;
//	if ( path [ 0 ] != '/' )
//	{
//		fprintf ( stderr , SUBPROG_ERROR_CODE ) ;
//		fprintf ( stderr , "not an absolute path\n" ) ;
//		return 1 ;
//	}
//
//	/* The path must be of the form:
//	 * [dvd_mountpoint]/video_ts/vts_[0-9][0-9]_[0-9].vob
//	 * in caps or lowercase
//	 *
//	 * Note: no need to provide for video_ts.vob as this is not encrypted.
//	 */
//
//	strcpy ( format_test , player_info -> dvd_mountpoint ) ;
//
//	remove_trailing_slashes ( format_test ) ;
//
//	strcat ( format_test , "/video_ts/vts_\001\001_\001.vob" ) ;
//
//	if ( strlen ( format_test ) != strlen ( path ) )
//	{
//		same = 0 ;
//	} else {
//		same = 1 ;
//
//		for ( i = 0 ; i < strlen ( format_test ) ; i ++ )
//		{
//			if ( ! ((( format_test [ i ] == '\001' )
//				&& ( isdigit ( path [ i ] )))
//			|| ( tolower ( format_test [ i ] ) == tolower ( path [ i ] ) )) )
//			{
//				same = 0 ;
//				break ;
//			}
//		}
//	}
//
//	if ( ! same )
//	{
//		fprintf ( stderr , SUBPROG_ERROR_CODE ) ;
//		fprintf ( stderr , "path must be a DVD VOB file on the filesystem %s.\n" ,
//					player_info -> dvd_mountpoint ) ;
//		return 1 ;
//	}
//
//	/* ok, we're satisfied that path is valid now. */
//
//	if ( ( fd = open ( path , O_RDONLY ) ) < 1 )
//	{
//		fprintf ( stderr , SUBPROG_ERROR_CODE ) ;
//		fprintf ( stderr , "file could not be opened.\n" ) ;
//		return 1 ;
//	}
//
//	lba = 0 ;
//	if ( ioctl ( fd , FIBMAP , & lba ) != 0 )
//	{
//		close ( fd ) ;
//		fprintf ( stderr , SUBPROG_ERROR_CODE ) ;
//		fprintf ( stderr , "could not get lba (is dvdtitleauth suid root?)\n" ) ;
//		return 1 ;
//	}
//	close ( fd ) ;
//
//	fprintf ( stderr , "%d\n" , lba ) ;
//	return 0 ;
//}
//
//
