/*
 * Minidxr2 - Linux DVD player. Mostly (C) Jack Whitham, 2001
 *
 */
#include <config.h>
#ifdef HAVE_DXR2

#ifndef CSS_H
#define CSS_H

#include "player.h"
#include "output.h"


int dxr2_css_authenticate ( css_manager * css , 
			dxr2_status_info_t * p , char * dvd_device ,
			char * error , int max_chars ) ;
int dxr2_css_finish ( css_manager * css ) ;
int dxr2_css_do_disc_key ( css_manager * css , 
			dxr2_status_info_t * p , char * error , int max_chars ) ;
int dxr2_css_do_title_key ( css_manager * css , 
			dxr2_status_info_t * p , char * error , int max_chars , int lba ) ;
char * dxr2_css_reset ( char * device ) ;

#endif

#endif

