/*
 * Minidxr2 - Linux DVD player. Mostly (C) Jack Whitham, 2001
 *
 */
#ifndef QUEUE_H
#define QUEUE_H

#include "player.h"

/* how full the buffer has to be before playback
 * begins properly. Specified as a percentage. */
#define QUITE_FULL_PERCENT	33

buffer_type * queue_make_queue ( int size ) ;
int queue_add_to_queue ( buffer_type * buf , void * item ) ;
void * queue_remove_from_queue ( buffer_type * buf ) ;
int queue_is_space_in_queue ( buffer_type * buf ) ;
int queue_quite_full ( buffer_type * buf ) ;


#endif

