/*
 * Minidxr2 - Linux DVD player. Mostly (C) Jack Whitham, 2001
 *
 */
#ifdef HAVE_DXR2
#ifdef HAVE_X_OVERLAY_SUPPORT
#ifndef X11_OVERLAY_H
#define X11_OVERLAY_H

#include "player.h"
#include "dxr2-api.h"


int x11_calculate_overlay_params ( dxr2_status_info_t * dxr2_info , int use_cache ) ;
int x11_init_overlay_settings ( dxr2_status_info_t * dxr2_info ) ;

int x11_open_window ( dxr2_status_info_t * dxr2_info , geom_t geom ) ;
int x11_close_window ( dxr2_status_info_t * dxr2_info ) ;
void x11_window_refresh ( dxr2_status_info_t * dxr2_info ) ;

#endif /* X11_OVERLAY_H */
#endif /* HAVE_X_OVERLAY_SUPPORT */
#endif /* HAVE_DXR2 */

