/*
 * Minidxr2 - Linux DVD player. Mostly (C) Jack Whitham, 2001
 *
 */
#ifndef MESSAGE_H
#define MESSAGE_H

#include "player.h"

/* message codes */
#define MSG_CSS_ERROR			1
#define MSG_WRITE_ERROR			2
#define MSG_END_OF_FILE			3
#define MSG_IFO_ERROR			4

int msg_send_message ( player_info_t * p , int code , char * data ) ;
int msg_get_message ( player_info_t * p , int * code , char ** data ) ;
void msg_setup ( player_info_t * p ) ;

#endif


