/*
 * Minidxr2 - Linux DVD player. Mostly (C) Jack Whitham, 2001
 *
 */
#ifndef READ_CONFIG_H
#define READ_CONFIG_H

#include "parser.h"
#include "player.h"

extern parser_table audio_stream_table[] ;
extern parser_table audio_freq_table[] ;
extern parser_table audio_width_table[] ;
extern parser_table video_format_table[] ;
extern char dxr2_config_file[] ;
extern char alt_config_file[] ;

char * read_config ( player_info_t * player_info , char * config_file ) ;

#endif

